1. Orders
Treek-Public
  • Authentication
    • User login with email and password
      POST
  • Orders
    • Create Order
      POST
    • List Orders
      GET
    • Order Details
      GET
    • Update Order
      PUT
    • Cancel Order
      POST
    • Reset Order
      POST
    • Get Statuses
      GET
    • Verify Item
      POST
    • Verify Order
      POST
    • Order Price
      GET
  • Shipments
    • Create Shipment
      POST
    • Return Shipment
      POST
    • Print Invoice
      GET
  • Boxes
    • Create Box
      POST
    • Get Boxes
      GET
    • Box Details
      GET
    • Update Box
      PUT
  • Merchants
    • Merchants Details
      GET
  • Profile
    • User Details
      GET
    • Update User
      PUT
    • Change Password
      PUT
  • Utilities
    • Countries List
      GET
    • Cities List
      GET
    • Couriers List
      GET
  • Warehouses
    • Warehouses List
    • Create warehouse
    • warehouse Details
  • Price Calculator
    • Price Calculator
  • Packaging Type
    • Packaging Types List
    • Packaging Type Details
  • statistics
    • Statistics
  • Schemas
    • LoginRequest
    • CreateOrderRequest
    • UpdateOrderRequest
    • Price Calculator
    • VerifyItem
    • CreateWarehouseRequest
    • Shipment Package
    • Create Reverse Shipment
    • OrderPackages
    • OrderItem
    • Order
    • City
    • Country
    • User
    • OrderItem
    • CreateOrderItemRequest
    • CalculateRatesRequest
    • BoxDimensions
    • OrderShippingRate
    • RateCalculationParams
    • Warehouse
    • Box
    • CreateBoxRequest
    • UpdateBoxRequest
    • ValidationError
    • NotFoundError
    • UnauthorizedError
    • ForbiddenError
    • PaginationMeta
    • PaginationLinks
  1. Orders

Verify Item

Developing
POST
https://app.gotreek.com/api/orders/{order}/items/{item}/verify
Last modified:2026-01-04 14:10:14
Verify a single order item by comparing its stored SKU with a scanned or typed SKU. Returns a rich payload with item status, per‑order verification summary and a can_confirm flag indicating if the order can be fully confirmed.
💡
Authentication
Bearer token authentication is required.
💡
Behavior
Validates that the given item belongs to the given order; otherwise returns a 404 error.
Compares the provided order_item_sku with the item’s stored sku (case‑insensitive).
Updates the item verification status (verified or mismatch), verification metadata and wrong attempt counter.
Returns a summary of all items’ verification statuses for the order and a can_confirm flag (true only if the order is pending and there are no pending or mismatch items).

Request

Authorization
OAuth 2.0
Client Credentials
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Token URL: https://app.gotreek.com/api/auth/login
or
Path Params

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Body

🟢202
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://app.gotreek.com/api/orders//items//verify' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "order_item_sku": "string"
}'
Response Response Example
200 - Success
{
    "data": {
        "order_id": 50173,
        "item_id": 72896,
        "match": true,
        "item": {
            "id": 72896,
            "order_id": 50173,
            "name": "غطاء أيفون 15",
            "sku": "sk0111",
            "quantity": 2,
            "weight": 0,
            "weight_unit": null,
            "price": 7550,
            "total_price": null,
            "tax": null,
            "currency": "SAR",
            "created_at": "2025-12-26T09:18:05.000000Z",
            "updated_at": "2025-12-26T09:30:13.000000Z",
            "verification_status": "verified",
            "verified_at": "2025-12-26T09:30:13.644736Z",
            "verified_by": 33,
            "wrong_attempts": 1,
            "verification_note": null
        },
        "summary": {
            "total": 2,
            "verified": 1,
            "pending": 1,
            "mismatch": 0
        },
        "can_confirm": false
    },
    "message": "تم تأكيد العنصر."
}
Modified at 2026-01-04 14:10:14
Previous
Get Statuses
Next
Verify Order
Built with